Installing and uninstalling Liberty interim fixes

You can use IBM® Installation Manager Version 1.8.5 or later to update the product with the interim fixes that are available for your service level of the product.

Before you begin

Through version 19.0.0.8, the minimum acceptable version of IBM Installation Manager is 1.8.5.

As of version 19.0.0.9, the minimum acceptable version of IBM Installation Manager is 1.9.0.

For a list of fixes that are available for Liberty and its associated software and for specific information about each fix, perform the following actions.

  1. Go to Fix Central.
  2. Click Find product.
  3. Select WebSphere Liberty as the product group.
  4. Select the version of the product to be updated.
  5. Select your operating system as the platform, and click Continue.
  6. Select Browse for fixes, and click Continue.
  7. Select Interim fix as the fix type, and click Submit.
  8. Click More Information under each fix to view information about the fix.

About this task

Distributed: [AIX MacOS Linux Windows]Important: Individual fixes for the common IBM Java™ SDKs, such as com.ibm.java.jdk.v8, cannot be installed by following the instructions in this section. To update these Java SDKs, see the instructions in Installing and uninstalling Liberty fix packs.

Individual fixes for WebSphere® Java SDKs, such as com.ibm.websphere.liberty.IBMJAVA.v70, continue to be packaged as interim fixes and can be installed and uninstalled using the method described in this section.